Get IP check results

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to retrieve IP check results.

Request example

curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?type=IP_CHECK' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

The response represents a list of IP checks.

Root variables

The root variables are the core check result data items. Some of them may include nested attributes and element fields.

FieldTypeDescription
answerStringCheck answer. Always GREEN, that means the IP check was processed and completed successfully.
checkTypeStringIndicates this is the IP_CHECK check type.
createdAtDateDate and time (UTC) of the latest IP check result.
idStringUnique identifier of the check.
ipCheckInfoObjectIP check parameters with results.

ipCheckInfo attributes

The following table explains the IP check parameters with results.

FieldTypeDescription
ipStringIP address of the device.
ipInfoObjectIP address related data.
internetServiceProviderStringCompany name of the internet service provider.
connectionTypeStringIndicates the type of internet connection: residential, cellular, business, hosting, educational.
organizationStringLegal name of the internet provider.
proxyStringIndicates whether a proxy server is used and labels it as safe (GREEN), suspicious (YELLOW), or risky (RED).
vpnStringIndicates whether a VPN is used and labels it as safe (GREEN), suspicious (YELLOW), or risky (RED).
torStringIndicates whether the detected IP address is tunneled through other devices and labels the connection as safe (GREEN), suspicious (YELLOW), or risky (RED).
potentialResProxyStringIndicates whether the applicant IP address is likely a residential proxy — an IP that appears to belong to a home internet connection but is actually being used to relay traffic for anonymization.

Possible values:
  • GREEN — not a residential proxy.
  • YELLOW — medium chance of residential proxy.
  • RED — high chance of residential proxy.
hostingProviderString

Shows whether the applicant IP address belongs to a hosting provider rather than a regular internet service provider. A regular end user connecting from a hosting IP is unusual and often indicates a virtual machine or private proxy. Corporate VPNs also tend to fall into this category.

Possible values:
  • GREEN — not a hosting-provider IP.
  • YELLOW — hosting-provider status could not be verified.
  • RED — IP belongs to a hosting provider or data center.
relayString

Shows whether the applicant connects through a relay service, such as iCloud Private Relay or Cloudflare WARP, which routes traffic through an intermediary to mask the applicant originating IP address.

Possible values:
  • GREEN — relay usage not detected.
  • YELLOW — relay usage could not be verified.
  • RED — relay usage detected.
riskLevelStringLabels the detected IP address as safe (GREEN), suspicious (YELLOW), or risky (RED).
riskScoreDoubleIndicates the risk score (from 0.01 to 99) calculated by the system.

ipInfo attributes

The following table explains the ipInfo attributes representing the IP address related data.

FieldTypeDescription
ipStringIP address of the device.
countryCode2StringCountry code (ISO 3166-1 alpha-2).
countryCode3StringCountry code (ISO 3166-1 alpha-3).
cityStringCity the IP address belongs to.
zipCodeStringZIP code.
stateStringName of the state or region if applicable.
stateCodeStringCode of the state or region if applicable.
latDoubleReturns a double value representing the latitude of the position in decimal degrees.
lonDoubleReturns a double value representing the longitude of the position in decimal degrees.
asnIntegerAutonomous System Number.
asnOrgStringASN organization.
riskyAsnBooleanDetermines whether the ASN is risky (true) or not (false).
riskScoreDoubleIndicates the risk score (from 0.01 to 99) calculated by the system.
timezoneStringTimezone in which the applicant is located.
connectionTypeStringIndicates the type of internet connection.
proxyBooleanDetermines whether a proxy server is used (true) or not (false).
vpnBooleanDetermines whether a VPN is used (true) or not (false).

Response example

{
    "checks": [
        {
            "answer": "GREEN",
            "checkType": "IP_CHECK",
            "createdAt": "2025-05-28 15:42:24",
            "id": "142965bb-6775-4d85-a6ed-39aa94f7726a",
            "ipCheckInfo": {
                "ip": "33.199.219.172",
                "ipInfo": {
                    "ip": "33.199.219.172",
                    "countryCode2": "US",
                    "countryCode3": "USA",
                    "city": "Ashburn",
                    "state": "Virginia",
                    "stateCode": "US-VA",
                    "lat": 39.04,
                    "lon": -77.49,
                    "asn": 14618,
                    "asnOrg": "Amazon.com",
                    "org": "Amazon.com",
                    "riskyAsn": false,
                    "riskScore": 75.0,
                    "timezone": "America/New_York",
                    "connectionType": "hosting",
                    "proxy": true,
                    "vpn": true
                },
                "internetServiceProvider": "Amazon.com",
                "connectionType": "hosting",
                "organization": "Amazon.com",
                "proxy": "RED",
                "vpn": "RED",
                "tor": "GREEN",
                "potentialResProxy": "GREEN",
                "hostingProvider": "GREEN",
                "relay": "GREEN",
                "riskLevel": "GREEN",
                "riskScore": 75.0
            }
        }
    ]
}
Query Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!